CREATE TABLE `BDC_DETTAGLIO_PIANO_DEI_CONTI` (
  `ID_BDC_DETTAGLIO_PIANO_DEI_CONTI` INT(11) NOT NULL AUTO_INCREMENT,
  `ID_CANALE` INT(11) NOT NULL,
  `ID_PIANO_DEI_CONTI` INT(11) NOT NULL,
  `PERCENTUALE_ALLOCAZIONE` DECIMAL(13,10) NOT NULL,
  `IMPORTO_ALLOCATO_DEFINITIVO` DECIMAL(16,6) NULL,
  PRIMARY KEY (`ID_BDC_DETTAGLIO_PIANO_DEI_CONTI`),
  INDEX `fk_BDC_DETTAGLIO_PIANO_DEI_CONTI_1_idx` (`ID_CANALE` ASC),
  INDEX `fk_BDC_DETTAGLIO_PIANO_DEI_CONTI_2_idx` (`ID_PIANO_DEI_CONTI` ASC),
  CONSTRAINT `fk_BDC_DETTAGLIO_PIANO_DEI_CONTI_1`
  FOREIGN KEY (`ID_CANALE`)
  REFERENCES `bdc_canali` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_BDC_DETTAGLIO_PIANO_DEI_CONTI_2`
  FOREIGN KEY (`ID_PIANO_DEI_CONTI`)
  REFERENCES `BDC_PIANO_DEI_CONTI` (`ID_BDC_PIANO_DEI_CONTI`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION);